package wheels;

/**
 * Interface for objects that can have their color changed and queried.
 *
 * @author Sanders & van Dam. Object-Oriented Programming in Java.
 */

public interface Colorable {

    /**
     * Sets the object's color.
     */
    public void setColor (java.awt.Color c);

    /**
     * Returns the object's color.
     */
    public java.awt.Color getColor();

}
       
