package wheels.etc;

import javax.swing.*;
import java.awt.event.*;

/**
 * A push button that will quit the program.
 *
 * @author Sanders & van Dam. Object-Oriented Programming in Java.
 */

public class QuitButton extends JButton {

    /**
     * Constructs a QuitButton.
     */
    public QuitButton() {
	super("Quit");
	this.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent e) {
		    System.exit(0);
		}
	    });
    }
}
