package wheels;

/**
 * Interface for objects that can have their rotation set and queried.
 *
 * @author Sanders & van Dam. Object-Oriented Programming in Java.
 */

public interface Rotatable {

    /**
     * Sets the object's rotation in degrees.
     */
    public void setRotation (int degrees);

    /**
     * Returns the object's rotation in degrees.
     */
    public int getRotation ();
}
